(function($, wg) {
	
	var DIR_IMAGE = "_doc/image/splash/";
	mui.plusReady(function () {
		
	    	var SERVER_URL = plus.storage.getItem("server_url");
	})
	/*
	 *缓存获取方法，安卓和IOS分开。
	 * 
	 */
	wg.getAppCacheSize = function(callback) {
		//android系统获取方法
		if($.os.android) {
			var main = plus.android.runtimeMainActivity();
			var appDir = main.getApplicationContext().getDir('webview', 1)
				//请求到的目录或文件对象
			plus.io.resolveLocalFileSystemURL(appDir + '/', function(dirent) {
				dirent.getMetadata(function(subents) {
					if(subents.size) {
						getSize(subents.size, function(cachesize) {
							callback(cachesize);
						})
					}
				}, function(ex) {
					callback('0KB');
				}, true);
			}, function(ex) {
				callback('0KB');
			});
		} else if($.os.ios) {
			//IOS系统获取方法
			plus.cache.calculate(function(size) {
				if(size) {
					getSize(size, function(cachesize) {
						callback(cachesize);
					})
				}
			}, function(size) {
				callback('0KB');
			});
		};
	};

	/*
	 * 清空APP缓存方法
	 */
	wg.appCacheClear = function(callback) {
		//android系统清除方法
		if($.os.android) {
			var main = plus.android.runtimeMainActivity();
			var appDir = main.getApplicationContext().getDir('webview', 1)
				//请求到的目录或文件对象
			plus.io.resolveLocalFileSystemURL(appDir + '/',
				function(dirent) {
					//清理html,js,图片 等等缓存。
					dirent.getDirectory("Cache", {}, function(dir) {
						var directoryReader = dir.createReader();
						directoryReader.readEntries(function(entries) {
							var i;
							for(i = 0; i < entries.length; i++) {
								entries[i].remove();
							}
						}, function(e) {
							callback(false);
							console.log("清理失败: " + e.message);
						});
					}, function(e) {
						callback(false);
						console.log("清理失败: " + e.message);
					});
					//清理Local Storage缓存。
					dirent.getDirectory("Local Storage", {}, function(dir) {
						var directoryReader = dir.createReader();
						directoryReader.readEntries(function(entries) {
							var i;
							for(i = 0; i < entries.length; i++) {
								entries[i].remove();
							}
							callback(true);
							console.log("清理缓存完成");
						}, function(e) {
							callback(false);
							console.log("清理失败: " + e.message);
						});
					}, function(e) {
						callback(false);
						console.log("清理失败: " + e.message);
					});
				},
				function(e) {
					callback(false);
					console.log("找不到目录: " + e.message);
				}
			);
		} else if($.os.ios) {
			//IOS系统清除方法
			plus.cache.clear(function() {
				callback(true);
				console.log("清理缓存完成");
			});
		}
		//plus.storage.clear();
	}

	//替换启动图方法
	wg.replaceSplash = function() {
		//先删除原来已存在的，避免缓存无限增大。
		plus.io.resolveLocalFileSystemURL(DIR_IMAGE, function(dirent) {
			dirent.removeRecursively();
		});
		var osName = (plus.os.name).toLowerCase(); //系统类型，转为小写
		var screenHeightDpi = plus.screen.resolutionHeight * plus.screen.scale;
		var screenHeight = Math.ceil(screenHeightDpi); //屏幕高度,向上取整
		var uid = plus.storage.getItem("uid");
		var osname = plus.os.name;
		if(osname == 'Android') {
			var os = 'anzhuo';

		} else if(osname == 'iOS') {
			var os = 'ios';
		}
		var SERVER_URL = plus.storage.getItem("server_url");
		var dizhi = SERVER_URL + '/index.php?m=home&c=api&a=getqidongpic&os=' + os + '&uid=' + uid;

		mui.ajax(dizhi, {
			data: {

			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {

				var serverUrl = data.url;
				downloadImage(serverUrl, 'splash.png', function(imgLocal) {

					if($.os.android) {
						plus.navigator.updateSplashscreen({
							image: imgLocal
						});
					} else if($.os.ios) {
						plus.navigator.updateSplashscreen({
							image: plus.io.convertLocalFileSystemURL(imgLocal)
						});

					}
				});
			},
			error: function(xhr, type, errorThrown) {

			}
		});
		//		var serverUrl = 'Uploads/' + osName +'.png';
		//		var serverUrl = 'Uploads/' + osName + screenHeight + '.png';

		//下载并替换启动图

	};
	/*
	 * 联网下载并保存启动图方法
	 */
	downloadImage = function(imgUrl, imgName, successCallback) {
		if(isDownloadImage) {
			var SERVER_URL = plus.storage.getItem("server_url");
			var url = DIR_IMAGE + imgName; //保存位置及名字
			imgUrl = SERVER_URL + imgUrl; //图片的网路地址
			console.log(imgUrl);
			return plus.downloader.createDownload(imgUrl, {
				"filename": url //保存路径
			}, function(download, status) {
				if(status != '200') {

					return successCallback(null);
				}
				successCallback(download.filename);
			}).start();
		}
	};
	//网络检测方法，wifi下才下载。
	function isDownloadImage() {
		var currentType = plus.networkinfo.getCurrentType();
		if(currentType === plus.networkinfo.CONNECTION_NONE) {
			return false;
		} else if(currentType !== plus.networkinfo.CONNECTION_WIFI) {
			if(localStorage.getItem(IMAGE_DOWNLOAD)) {
				return false;
			}
		}
		return true;
	};
	//内存转换函数
	getSize = function(fileSize, callback) {
		var fileSizeStr;
		var kSize = fileSize / 1024;
		if(kSize < 1024) {
			fileSizeStr = kSize.toFixed(1) + "KB";
		} else {
			kSize = kSize / 1024;
			if(kSize < 1024) {
				fileSizeStr = kSize.toFixed(1) + "MB";
			} else {
				kSize = kSize / 1024;
				if(kSize < 1024) {
					fileSizeStr = kSize.toFixed(1) + "GB";
				} else {
					fileSizeStr = "1TB";
				}
			}
		}
		callback(fileSizeStr);
	};

})(mui, window.wg = {});